<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<XMLDefinition Generator="Iron Speed Designer" Version="9.2" Type="GENERIC">
  <ColumnDefinition>
    <Column InternalName="0" Priority="1" ColumnNum="0">
      <columnName>id</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>int</columnDBType>
      <columnLengthSet>10.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>Y</columnIndex>
      <columnUnique>Y</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>Y</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>Y</columnComputed>
      <columnIdentity>Y</columnIdentity>
      <columnReadOnly>Y</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>Y</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="1" Priority="2" ColumnNum="1">
      <columnName>PersonalId</columnName>
      <columnUIName>%ISD_DEFAULT%</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>13</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>Y</columnRequired>
      <columnNotNull>Y</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <foreignKey>
        <columnFKName>FK_PersonalInsignia_PersonalId</columnFKName>
        <columnFKTable>PersonalId</columnFKTable>
        <columnFKOwner>dbo</columnFKOwner>
        <columnFKColumn>PersonalId</columnFKColumn>
        <columnFKColumnDisplay>PersonalName</columnFKColumnDisplay>
        <foreignKeyType>Explicit</foreignKeyType>
      </foreignKey>
      <applyDFKA>Y</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="2" Priority="3" ColumnNum="2">
      <columnName>InsigniaDate</columnName>
      <columnUIName Source="User">ตั้งแต่</columnUIName>
      <columnType>Date</columnType>
      <columnDBType>datetime</columnDBType>
      <columnLengthSet>
      </columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnFormat Source="User">d MMM yy</columnFormat>
      <columnDBFormat>g</columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="3" Priority="4" ColumnNum="3">
      <columnName>InsigniaId</columnName>
      <columnUIName Source="User">เครื่องราชอิสริยาภรณ์</columnUIName>
      <columnType>Number</columnType>
      <columnDBType>smallint</columnDBType>
      <columnLengthSet>5.0</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <foreignKey>
        <columnFKName>FK_PersonalInsignia_Insignia</columnFKName>
        <columnFKTable>Insignia</columnFKTable>
        <columnFKOwner>dbo</columnFKOwner>
        <columnFKColumn>InsigniaId</columnFKColumn>
        <columnFKColumnDisplay>InsigniaName</columnFKColumnDisplay>
        <foreignKeyType>Explicit</foreignKeyType>
      </foreignKey>
      <applyDFKA>Y</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="4" Priority="5" ColumnNum="4">
      <columnName>GazetteNO</columnName>
      <columnUIName Source="User">ราชกิจจา เล่มที่</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>3</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="5" Priority="6" ColumnNum="5">
      <columnName>GazetteSection</columnName>
      <columnUIName Source="User">ตอนที่</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>3</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="6" Priority="7" ColumnNum="6">
      <columnName>GazettePage</columnName>
      <columnUIName Source="User">หน้าที่</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>60</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="7" Priority="8" ColumnNum="7">
      <columnName>GazetteDate</columnName>
      <columnUIName Source="User">ลงวันที่</columnUIName>
      <columnType>Date</columnType>
      <columnDBType>datetime</columnDBType>
      <columnLengthSet>
      </columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnFormat Source="User">d MMM yy</columnFormat>
      <columnDBFormat>g</columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive>N</columnCaseSensitive>
      <columnCollation>
      </columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
    <Column InternalName="8" Priority="9" ColumnNum="8">
      <columnName>InsigniaReturn</columnName>
      <columnUIName Source="User">การส่งคืน</columnUIName>
      <columnType>String</columnType>
      <columnDBType>nvarchar</columnDBType>
      <columnLengthSet>50</columnLengthSet>
      <columnDefault>
      </columnDefault>
      <columnDBDefault>
      </columnDBDefault>
      <columnIndex>N</columnIndex>
      <columnUnique>N</columnUnique>
      <columnFunction>
      </columnFunction>
      <columnDBFormat>
      </columnDBFormat>
      <columnPK>N</columnPK>
      <columnPermanent>N</columnPermanent>
      <columnComputed>N</columnComputed>
      <columnIdentity>N</columnIdentity>
      <columnReadOnly>N</columnReadOnly>
      <columnRequired>N</columnRequired>
      <columnNotNull>N</columnNotNull>
      <columnCaseSensitive Source="Database">N</columnCaseSensitive>
      <columnCollation>Thai_CI_AS</columnCollation>
      <columnFullText>N</columnFullText>
      <columnVisibleWidth>%ISD_DEFAULT%</columnVisibleWidth>
      <columnTableAliasName>
      </columnTableAliasName>
      <applyLabelText>Y</applyLabelText>
      <applyDFKA>N</applyDFKA>
      <applyInitializeInsertingRecord>N</applyInitializeInsertingRecord>
      <applyInitializeReadingRecord>N</applyInitializeReadingRecord>
      <applyInitializeUpdatingRecord>N</applyInitializeUpdatingRecord>
      <applyValidateInsertingRecord>N</applyValidateInsertingRecord>
      <applyValidateUpdatingRecord>N</applyValidateUpdatingRecord>
      <applyDefaultValue>N</applyDefaultValue>
      <insertingRecordFormula>
      </insertingRecordFormula>
      <readingRecordFormula>
      </readingRecordFormula>
      <updatingRecordFormula>
      </updatingRecordFormula>
      <insertingFormula>
      </insertingFormula>
      <updatingFormula>
      </updatingFormula>
    </Column>
  </ColumnDefinition>
  <TableName>PersonalInsignia</TableName>
  <Version>1</Version>
  <Owner>dbo</Owner>
  <TableCodeName>PersonalInsignia</TableCodeName>
  <TableAliasName>PersonalInsignia_</TableAliasName>
  <ConnectionName>DatabasePersons1</ConnectionName>
  <PagingMethod>RowNum</PagingMethod>
  <canCreateRecords Source="Database">Y</canCreateRecords>
  <canEditRecords Source="Database">Y</canEditRecords>
  <canDeleteRecords Source="Database">Y</canDeleteRecords>
  <canViewRecords Source="Database">Y</canViewRecords>
  <ConcurrencyMethod>BinaryChecksum</ConcurrencyMethod>
  <AppShortName>Persons</AppShortName>
</XMLDefinition>